/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package Modelo;
/**
 *
 * @author citla
 */
public abstract class Zona extends Sala { //protected las variables y metodos
    
    protected String nombre;
    protected double precio;
    protected Asiento [][] asientos;

    public Zona(String nombre, double precio, Asiento[][] asientos, double montoRecaudado, Zona[] zonas) {
        super(montoRecaudado, zonas);
        this.nombre = nombre;
        this.precio = precio;
        this.asientos = asientos;
    }
  
    public double getPrecio() {
        return precio;
    }

    public void setPrecio(double precio) {
        this.precio = precio;
    }

    @Override
    public String toString() {
        return "Zona{" + "nombre=" + nombre + ", precio=" + precio + ", asientos=" + asientos + '}';
    }
    
}
